> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.dintero.com/feedback

```json
{
  "path": "/api-reference/report-configuration/create-new-insight-report-configuration",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Create new insight report configuration


> Create a new report configuration

scopes:
  - write:insight
  - admin:insight




## OpenAPI

````yaml /mintlify-docs/openapi/spec-insight.yaml post /accounts/{aid}/insight/reports/configuration
openapi: 3.0.0
info:
  title: Insight API
  contact:
    name: API Integration Support
    email: integration@dintero.com
  description: >
    # Changelog

    All notable changes to the API.


    ## 2025-09-16


    > Add new report configuration endpoint for updating existing report
    configurations.

    > - [PUT
    /v1/accounts/{aid}/insight/reports/configuration/{report_configuration_id}](#operation/aid_reports_configuration_put)


    ## 2025-05-31


    > Add new KPI endpoint for getting aggregated checkout transaction by
    status.

    > - [GET
    /v1/accounts/{aid}/insight/kpi/checkout-transaction-status](#operation/api_insight_checkout_transactions_status_kpis_get)


    > Add new KPI endpoint for getting aggregated checkout transaction events

    > - [GET
    /v1/accounts/{aid}/insight/kpi/checkout-transaction-events](#operation/api_insight_checkout_transactions_events_kpis_get)


    ## 2025-03-31


    > Extend open transactions report configuration to support csv

    > - [GET
    /v1/accounts/{aid}/insight/report/configuration](#operation/aid_report_configuration_post)


    ## 2024-05-31


    > Add missing response type "Conflict"

    > - [POST
    /v1/accounts/{aid}/insight/reports/configuration](#operation/aid_report_configuration_post)


    ## 2024-05-01


    > Add support for generating Wallets transactions reports and

    > manage Wallets transaction report configuration

    > - [POST
    /v1/accounts/{aid}/insight/generate-report](#operation/aid_insight_service_generate_report)

    > - [POST
    /v1/accounts/{aid}/insight/reports/configuration](#operation/aid_report_configuration_post)


    ## 2022-12-13


    > Extend the `reportFilters` parameter to support filtering on
    `payout_destination_id` for `checkout/transactions`

    > - [POST
    /v1/accounts/{aid}/insight/reports/configuration](#operation/aid_report_configuration_post)


    ## 2022-08-01


    > Extend the `aggregate_functions` query parameter to support `currency`

    > - [GET /v1/accounts/{aid}/insight/kpi/checkout
    ](#operation/api_insight_checkout_kpis_get)


    ## 2022-05-30


    > Updates made to the endpoint - [GET
    /v1/accounts/{aid}/insight/report/configuration](#operation/aid_report_configuration_post)

    > * Added new type of report configuration for checkout transactions,
    allowing reports showing open transactions

    > * Added daily schedule option to existing insight transactions report

    ## 2022-05-13


    > Updated the endpoint - [GET
    /v1/accounts/{aid}/insight/kpi/checkout](#operation/api_insight_checkout_kpis_get)

    > Added new input param `event_created_at_gte` to filter the period to
    create kpis from.


    ## 2022-05-01


    > Change base path for the API to `/v1/accounts/{aid}/insight/`. The
    original

    > prefix `/v1/accounts/{aid}/insight-service/` is deprecated.


    ## 2022-03-07


    > Added endpoint for fetching kpis from checkout data \


    ## 2021-12-01


    > Updated Report configuration with the following fields \

    > * Name (custom report name)

    > * Emails (will be used by the reports api to send email containing the
    final report)

    > * Language

    > * ReportFilters

    > * Added discriminator field to ensure valid report configuration input



    ## 2021-06-29


    > Initial version
  version: LATEST
  license:
    name: UNLICENSED
    url: https://dintero.com
  x-logo:
    url: https://docs.dintero.com/img/dintero-dark-padded.svg
    altText: Dintero Logo
servers:
  - url: https://api.dintero.com/v1
security:
  - JWT: []
tags:
  - name: generate-insight-report
    x-displayName: Generate report
    description: Generate reports from parameters
  - name: report-configuration
    x-displayName: Report configuration
    description: Manage report configurations
  - name: kpi
    x-displayName: KPI
    description: Get KPI data
paths:
  /accounts/{aid}/insight/reports/configuration:
    post:
      tags:
        - report-configuration
      summary: |
        Create new insight report configuration
      description: |
        Create a new report configuration

        scopes:
          - write:insight
          - admin:insight
      operationId: aid_report_configuration_post
      parameters:
        - $ref: '#/components/parameters/accountId'
      requestBody:
        $ref: '#/components/requestBodies/InsightReportConfig'
      responses:
        '200':
          $ref: '#/components/responses/InsightReportConfig'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '409':
          $ref: '#/components/responses/Conflict'
        '500':
          $ref: '#/components/responses/ServerError'
components:
  parameters:
    accountId:
      name: aid
      description: |
        An id that uniquely identifies the account.
      in: path
      required: true
      schema:
        type: string
        format: ^[PT]{1}\d{8}$
        minLength: 9
        maxLength: 9
  requestBodies:
    InsightReportConfig:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InsightReportConfig'
      description: Insight Report Configuration
      required: true
  responses:
    InsightReportConfig:
      description: Insight Report Configuration
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/Persisted'
              - $ref: '#/components/schemas/InsightReportConfig'
    BadRequest:
      description: Bad / Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Conflict:
      description: Conflict
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: Unexpected Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    InsightReportConfig:
      discriminator:
        propertyName: dataType
        mapping:
          checkout/transactions:
            $ref: '#/components/schemas/InsightCheckoutTransactionsReportConfig'
          checkout/transactions/open:
            $ref: '#/components/schemas/InsightCheckoutOpenTransactionsReportConfig'
          orders/orderoperations:
            $ref: '#/components/schemas/InsightOrdersOrderOperationsReportConfig'
          wallets/transactions:
            $ref: '#/components/schemas/InsightWalletsTransactionsReportConfig'
      oneOf:
        - $ref: '#/components/schemas/InsightCheckoutTransactionsReportConfig'
        - $ref: '#/components/schemas/InsightCheckoutOpenTransactionsReportConfig'
        - $ref: '#/components/schemas/InsightOrdersOrderOperationsReportConfig'
        - $ref: '#/components/schemas/InsightWalletsTransactionsReportConfig'
    Persisted:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: |
            An UUID that uniquely identifies the resource
          readOnly: true
        accountId:
          type: string
          format: uuid
          description: |
            An id that uniquely identifies the account
          readOnly: true
        created_at:
          type: string
          format: date-time
          description: |
            The date-time when the resource was created
          readOnly: true
        created_by:
          type: string
          example: 1c92f7e1-2897-4d46-bdcc-c127a914fb4e
          description: |
            The ID of the user/client that created the resource
          readOnly: true
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
          properties:
            code:
              type: string
              description: The code used to identify the error/warning
            errors:
              type: array
              description: The nested error(s) encountered during validation
              items:
                type: object
            message:
              type: string
              description: The human readable description of the error/warning
    InsightCheckoutTransactionsReportConfig:
      x-discriminator-value: checkout/transactions
      type: object
      allOf:
        - $ref: '#/components/schemas/InsightReportConfig'
        - type: object
          required:
            - dataType
            - language
            - schedule
          properties:
            dataType:
              type: string
              enum:
                - checkout/transactions
            schedule:
              type: string
              description: Schedule for the report, how often will the report be generated
              enum:
                - monthly
                - weekly
                - daily
            language:
              type: string
              description: Report Language
              enum:
                - 'no'
                - en
            reportFilters:
              type: array
              description: >-
                List of filters used to filter the data for the report. Similar
                to SQL WHERE-clause. i.e, WHERE filter=value
              items:
                $ref: '#/components/schemas/InsightTransactionReportFilter'
            contentTypes:
              type: array
              description: Content types for the report
              items:
                type: string
                enum:
                  - application/pdf
                  - text/csv
      title: Insight Checkout Transactions Report Config
    InsightCheckoutOpenTransactionsReportConfig:
      x-discriminator-value: checkout/transactions/open
      type: object
      allOf:
        - $ref: '#/components/schemas/InsightReportConfig'
        - type: object
          required:
            - dataType
            - language
            - schedule
          properties:
            dataType:
              type: string
              enum:
                - checkout/transactions/open
            schedule:
              type: string
              description: Schedule for the report, how often will the report be generated
              enum:
                - monthly
                - weekly
                - daily
            language:
              type: string
              description: Report Language
              enum:
                - 'no'
                - en
            reportFilters:
              type: array
              description: >-
                List of filters used to filter the data for the report. Similar
                to SQL WHERE-clause. i.e, WHERE filter=value
              items:
                $ref: '#/components/schemas/InsightOpenTransactionReportFilter'
            contentTypes:
              type: array
              description: Content types for the report
              items:
                type: string
                enum:
                  - application/pdf
                  - text/csv
      title: Insight Checkout Open Transactions Report Config
    InsightOrdersOrderOperationsReportConfig:
      x-discriminator-value: orders/orderoperations
      type: object
      allOf:
        - $ref: '#/components/schemas/InsightReportConfig'
        - type: object
          required:
            - dataType
            - language
            - schedule
          properties:
            dataType:
              type: string
              enum:
                - orders/orderoperations
            schedule:
              type: string
              description: Schedule for the report, how often will the report be generated
              enum:
                - weekly
                - twice-a-month
                - daily
            language:
              type: string
              description: Report Language
              enum:
                - 'no'
                - en
            reportFilters:
              type: array
              description: >-
                List of filters used to filter the data for the report. Similar
                to SQL WHERE-clause. i.e, WHERE filter=value
              items:
                $ref: '#/components/schemas/InsightOrderReportFilter'
            contentTypes:
              type: array
              description: Content types for the report
              items:
                type: string
                enum:
                  - text/csv
      title: Insight Orders Order Operations Report Config
    InsightWalletsTransactionsReportConfig:
      x-discriminator-value: wallets/transactions
      type: object
      allOf:
        - $ref: '#/components/schemas/InsightReportConfig'
        - type: object
          required:
            - dataType
            - language
            - schedule
          properties:
            dataType:
              type: string
              enum:
                - wallets/transactions
            schedule:
              type: string
              description: Schedule for the report, how often will the report be generated
              enum:
                - monthly
                - weekly
                - daily
            language:
              type: string
              description: Report Language
              enum:
                - 'no'
                - en
            contentTypes:
              type: array
              description: Content types for the report
              items:
                type: string
                enum:
                  - application/pdf
                  - text/csv
      title: Insight Wallets Transactions Report Config
    InsightTransactionReportFilter:
      type: object
      required:
        - filter
        - value
      properties:
        filter:
          type: string
          enum:
            - store_id
            - payout_destination_id
          description: The property the data will be filtered on
        value:
          type: string
          description: The value used to filter the data on
    InsightOpenTransactionReportFilter:
      type: object
      required:
        - filter
        - value
      properties:
        filter:
          type: string
          enum:
            - store_id
            - older_than_days
          description: The property the data will be filtered on
        value:
          type: string
          description: The value used to filter the data on
    InsightOrderReportFilter:
      type: object
      properties:
        filter:
          type: string
          enum:
            - operation_payout_destination
          description: The "field/column" the data will be filtered on
        value:
          type: string
          description: >-
            The value the records must contain for the provided filter
            (field/column)
  securitySchemes:
    JWT:
      type: http
      description: >
        Bearer authentication (token authentication) should be used for
        accessing the API.


        Use [Get
        Token](https://docs.dintero.com/api.html#operation/aid_auths_oauth_token_post)
        to get an access token for client credentials.

        Pass the token in the request header:

            Authorization: Bearer {access_token}

        where the **access_token** is JSON Web Tokens (JWT).
      scheme: bearer
      bearerFormat: JWT

````